
Figure - Bug #118969
【AF】【VC1】【台架】【副屏】副屏同时连接蓝牙音箱和蓝牙耳机时，语音通话没有声音输出
2023-07-04 10:56 - 物联网测试组_TSCD 王维

Status: ASSIGNED Start date: 2023-07-04

Priority: Normal Due date:

Assignee: Multimedia组-RD3_TSCD 梁卿山 % Done: 0%

Category: AUDIO-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 0118

Resolution: -- Degrated: --

Severity: Normal Verified Version: 0136

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause:

Description

【环境信息】

台架

【前提条件】

1.设备正常上电

2.设备已安装QQ

【操作步骤】

1.副屏接到QQ语音来电处于通话中

2.副屏连上蓝牙耳机或蓝牙音箱

3.副屏连上蓝牙音箱或蓝牙耳机

【实际结果】

语音通话没有声音输出，mic正常

【期望结果】

语音通话从最后连上的蓝牙设备输出声音

时间：2023.7.4 10:42

History

#1 - 2023-08-01 16:44 - Multimedia组-RD3_TSCD 梁卿山

当前结论

从上述日志和qxdm数据来看,audio侧没有发现异常.我们将尝试复现此问题继续确认.

当前分析

从上述13.txt来看,设备正常开启

07-04 10:38:38.762   822  1034 D audio_hw_primary: enable_snd_device: snd_device(43: bt-sco-headset-wb) **开启bt听筒

07-04 10:38:38.762   822  1034 D audio_hw_utils: audio_extn_utils_send_app_type_cfg: usecase->out_snd_device bt-sco-headset-wb

07-04 10:38:38.762   822  1034 D msm8974_platform: platform_split_snd_device: snd_device(43) num devices(0) new_snd_devices(0)

07-04 10:38:38.763   822  1034 I audio_hw_utils: send_app_type_cfg_for_device PLAYBACK app_type 69946, acdb_dev_id 39, sample_rate 16000, snd_device_be_idx 32

07-04 10:38:38.763   822  1034 D msm8974_platform: platform_split_snd_device: snd_device(43) num devices(1) new_snd_devices(0)

07-04 10:38:38.763   822  1034 D msm8974_platform: platform_split_snd_device: snd_device(43) num devices(0) new_snd_devices(0)

07-04 10:38:38.798   822  1034 D audio_hw_primary: disable_snd_device: snd_device(177: bt-sco-mic-wb)

07-04 10:38:38.798   822  1034 D msm8974_platform: platform_split_snd_device: snd_device(177) num devices(0) new_snd_devices(0)

07-04 10:38:38.798   822  1034 D msm8974_platform: platform_split_snd_device: snd_device(177) num devices(0) new_snd_devices(0)

07-04 10:38:38.798   822  1034 D audio_hw_primary: enable_snd_device: snd_device(177: bt-sco-mic-wb)  **开启bt麦克
07-04 10:38:38.798   822  1034 D msm8974_platform: platform_get_island_cfg_on_device:island cfg status on snd_device = (bt-sco-mic-wb 0)

07-04 10:38:38.800   822  1034 D audio_hw_utils: audio_extn_utils_send_app_type_cfg: usecase->in_snd_device bt-sco-mic-wb

07-04 10:38:38.800   822  1034 D msm8974_platform: platform_split_snd_device: snd_device(177) num devices(0) new_snd_devices(0)

07-04 10:38:38.800   822  1034 I audio_hw_utils: send_app_type_cfg_for_device CAPTURE app_type 69946, acdb_dev_id 38, sample_rate 16000, snd_device_be_idx 33

07-04 10:38:38.800   822  1034 D msm8974_platform: platform_split_snd_device: snd_device(177) num devices(1) new_snd_devices(0)

07-04 10:38:38.831   822  1034 D audio_hw_primary: adev_set_parameters: enter: BT_SCO=on

07-04 10:38:38.833  1621  1965 I AS.AudioDeviceInventory: setPreferredDevicesForStrategySync, strategy: 15 devices: [AudioDeviceAttributes: role:output type:bt_sco

addr:00:00:00:00:00:00]

从上述tlog中的qxdm数据来看.1586和152e节点能够清晰的听到对方说话的声音.

所以目前没有发现audio侧存在异常.

下一步

我们将尝试u复现继续确认此现象.

#2 - 2023-08-02 11:22 - Multimedia组-RD3_TSCD 梁卿山

- Status changed from New to NEED_INFO

- Assignee changed from Multimedia组-RD3_TSCD 梁卿山 to 物联网测试组_TSCD 王维

Hi 王维

麻烦帮忙复现一下该问题，看最新版还是否存在该问题，而且获取一下QXDM日志。

#3 - 2023-08-23 16:10 - 物联网测试组_TSCD 王维

- File wusheng.txt added

- Assignee changed from 物联网测试组_TSCD 王维 to Multimedia组-RD3_TSCD 梁卿山

- Verified Version set to 0136

该现象在0136版本复现；

复现时间：20230823 16:05和16:02

QXDM日志：ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug_118413/118969/tlog_iov0201017500006162025411a2212290000001371_012899_0823160521.tar.gz

#4 - 2023-08-24 15:52 - CDTS_TEST 王成

- Status changed from NEED_INFO to ASSIGNED

Files

13.txt 25.5 MB 2023-07-04 物联网测试组_TSCD 王维

tlog_iov0201017500006162025411a2305070000003741_000075_0704104338.tar.gz23.1 MB 2023-07-04 物联网测试组_TSCD 王维

wusheng.txt 10.9 MB 2023-08-23 物联网测试组_TSCD 王维
